# AP4_MetaDataAtomTypeHandler Class Reference

`#include <Ap4MetaData.h>`

Inheritance diagram for AP4_MetaDataAtomTypeHandler:

List of all members.

## Public Member Functions
| AP4_MetaDataAtomTypeHandler (AP4_AtomFactory *atom_factory)
virtual AP4_Result | CreateAtom (AP4_Atom::Type type, AP4_UI32 size, AP4_ByteStream &stream, AP4_Atom::Type context, AP4_Atom *&atom)
## Static Public Member Functions
static bool | IsTypeInList (AP4_Atom::Type type, const TypeList &list)
## Static Public Attributes
static const AP4_Atom::Type | IlstTypes []
static const TypeList | IlstTypeList
static const AP4_Atom::Type | _3gppLocalizedStringTypes []
static const TypeList | _3gppLocalizedStringTypeList
static const AP4_Atom::Type | _3gppOtherTypes []
static const TypeList | _3gppOtherTypeList
static const AP4_Atom::Type | DcfStringTypes []
static const TypeList | DcfStringTypeList
## Classes
struct | TypeList

## Detailed Description

Definition at line 271 of file Ap4MetaData.h.

## Constructor & Destructor Documentation

AP4_MetaDataAtomTypeHandler::AP4_MetaDataAtomTypeHandler | ( | AP4_AtomFactory * | atom_factory | ) | `[inline]`

Definition at line 275 of file Ap4MetaData.h.

## Member Function Documentation

virtual AP4_Result AP4_MetaDataAtomTypeHandler::CreateAtom | ( | AP4_Atom::Type | type,
|  | AP4_UI32 | size,
|  | AP4_ByteStream & | stream,
|  | AP4_Atom::Type | context,
|  | AP4_Atom *& | atom |
| ) |  |  | `[virtual]`

Implements AP4_AtomFactory::TypeHandler.

static bool AP4_MetaDataAtomTypeHandler::IsTypeInList | ( | AP4_Atom::Type | type,
|  | const TypeList & | list |
| ) |  |  | `[static]`

## Member Data Documentation

const AP4_Atom::Type AP4_MetaDataAtomTypeHandler::IlstTypes[]`[static]`

Definition at line 290 of file Ap4MetaData.h.

const TypeList AP4_MetaDataAtomTypeHandler::IlstTypeList`[static]`

Definition at line 291 of file Ap4MetaData.h.

const AP4_Atom::Type AP4_MetaDataAtomTypeHandler::_3gppLocalizedStringTypes[]`[static]`

Definition at line 292 of file Ap4MetaData.h.

const TypeList AP4_MetaDataAtomTypeHandler::_3gppLocalizedStringTypeList`[static]`

Definition at line 293 of file Ap4MetaData.h.

const AP4_Atom::Type AP4_MetaDataAtomTypeHandler::_3gppOtherTypes[]`[static]`

Definition at line 294 of file Ap4MetaData.h.

const TypeList AP4_MetaDataAtomTypeHandler::_3gppOtherTypeList`[static]`

Definition at line 295 of file Ap4MetaData.h.

const AP4_Atom::Type AP4_MetaDataAtomTypeHandler::DcfStringTypes[]`[static]`

Definition at line 296 of file Ap4MetaData.h.

const TypeList AP4_MetaDataAtomTypeHandler::DcfStringTypeList`[static]`

Definition at line 297 of file Ap4MetaData.h.

The documentation for this class was generated from the following file:

- Ap4MetaData.h